package com.bofeng.service;

import com.baomidou.mybatisplus.toolkit.IdWorker;
import com.bofeng.JwtHelper;
import com.bofeng.dao.QzTaskDao;
import com.bofeng.entity.QzTask;
import com.yvan.platform.JsonWapper;
import lombok.var;
import org.joda.time.DateTime;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class QzTaskService {

  @Autowired
  private QzTaskDao qzTaskDao;


  public List<QzTask> selectAll() {
    return qzTaskDao.selectAll();
  }


  //求助的新增
  public int addHelp(String taskTitle,String taskTarget,String remark) {
    var qzTak=new QzTask();
    qzTak.setTaskId(IdWorker.getId());
    qzTak.setTaskTitle(taskTitle);
    qzTak.setRemark(remark);
    qzTak.setTaskTarget(taskTarget);
    qzTak.setTaskStatus(1);

    /*long userId = Long.parseLong(JwtHelper.getUserId());
    qzTak.setUserId(userId);
    qzTak.setUserCreate(userId);*/
    qzTak.setTimeCreate(new DateTime());
   /* qzTak.setUserUpdate(userId);*/
    qzTak.setTimeUpdate(new DateTime());
    return qzTaskDao.insert(qzTak);
  }



  public List<QzTask> queryQzTask(){
    return qzTaskDao.queryQzTask();
  }
}
